ResultHandler Class Referenceabstract

`#include <pubsubresulthandler.h>`

## Public Member Functions

virtual | ~ResultHandler ()
virtual void | handleItem (const JID &service, const std::string &node, const Tag *entry)=0
virtual void | handleItems (const std::string &id, const JID &service, const std::string &node, const ItemList &itemList, const Error *error=0)=0
virtual void | handleItemPublication (const std::string &id, const JID &service, const std::string &node, const ItemList &itemList, const Error *error=0)=0
virtual void | handleItemDeletion (const std::string &id, const JID &service, const std::string &node, const ItemList &itemList, const Error *error=0)=0
virtual void | handleSubscriptionResult (const std::string &id, const JID &service, const std::string &node, const std::string &sid, const JID &jid, const SubscriptionType subType, const Error *error=0)=0
virtual void | handleUnsubscriptionResult (const std::string &id, const JID &service, const Error *error=0)=0
virtual void | handleSubscriptionOptions (const std::string &id, const JID &service, const JID &jid, const std::string &node, const DataForm *options, const std::string &sid=EmptyString, const Error *error=0)=0
virtual void | handleSubscriptionOptionsResult (const std::string &id, const JID &service, const JID &jid, const std::string &node, const std::string &sid=EmptyString, const Error *error=0)=0
virtual void | handleSubscribers (const std::string &id, const JID &service, const std::string &node, const SubscriptionList &list, const Error *error=0)=0
virtual void | handleSubscribersResult (const std::string &id, const JID &service, const std::string &node, const SubscriberList *list, const Error *error=0)=0
virtual void | handleAffiliates (const std::string &id, const JID &service, const std::string &node, const AffiliateList *list, const Error *error=0)=0
virtual void | handleAffiliatesResult (const std::string &id, const JID &service, const std::string &node, const AffiliateList *list, const Error *error=0)=0
virtual void | handleNodeConfig (const std::string &id, const JID &service, const std::string &node, const DataForm *config, const Error *error=0)=0
virtual void | handleNodeConfigResult (const std::string &id, const JID &service, const std::string &node, const Error *error=0)=0
virtual void | handleNodeCreation (const std::string &id, const JID &service, const std::string &node, const Error *error=0)=0
virtual void | handleNodeDeletion (const std::string &id, const JID &service, const std::string &node, const Error *error=0)=0
virtual void | handleNodePurge (const std::string &id, const JID &service, const std::string &node, const Error *error=0)=0
virtual void | handleSubscriptions (const std::string &id, const JID &service, const SubscriptionMap &subMap, const Error *error=0)=0
virtual void | handleAffiliations (const std::string &id, const JID &service, const AffiliationMap &affMap, const Error *error=0)=0
virtual void | handleDefaultNodeConfig (const std::string &id, const JID &service, const DataForm *config, const Error *error=0)=0

## Detailed Description

A virtual interface to receive item related requests results.

Derive from this interface and pass it to item related requests.

As a general rule, methods receive an Error pointer which will be null (when the request was successful) or describe the problem. Requests asking for information will have their "pointer to information" set to null when an error occured (that is they're mutually exclusive). In both cases, gloox takes care of deleting these objects.

Author
  Vincent Thomasset vthom.nosp@m.asse.nosp@m.t@gma.nosp@m.il.c.nosp@m.om

Since
  1.0

Definition at line 49 of file pubsubresulthandler.h.

## Constructor & Destructor Documentation

## ~ResultHandler()

virtual ~ResultHandler | ( |  | ) |

inline virtual

Virtual destructor.

Definition at line 55 of file pubsubresulthandler.h.

## Member Function Documentation

## handleAffiliates()

virtual void handleAffiliates | ( | const std::string & | id,
|  | const JID & | service,
|  | const std::string & | node,
|  | const AffiliateList * | list,
|  | const Error * | error = 0 )

pure virtual

Receives the affiliate list for a node.

Parameters

  id | The reply IQ's id.
  service | Service hosting the node.
  node | ID of the queried node.
  list | Affiliation list.
  error | Affiliation list retrieval Error.

See also
  Manager::getAffiliates

## handleAffiliatesResult()

virtual void handleAffiliatesResult | ( | const std::string & | id,
|  | const JID & | service,
|  | const std::string & | node,
|  | const AffiliateList * | list,
|  | const Error * | error = 0 )

pure virtual

Handle the affiliate list for a specific node.

Parameters

  id | The reply IQ's id.
  service | Service hosting the node.
  node | ID of the node.
  list | The Affiliate list.
  error | Affiliation list modification Error.

See also
  Manager::setAffiliations

## handleAffiliations()

virtual void handleAffiliations | ( | const std::string & | id,
|  | const JID & | service,
|  | const AffiliationMap & | affMap,
|  | const Error * | error = 0 )

pure virtual

Receives the Affiliation map for a specific service.

Parameters

  id | The reply IQ's id.
  service | The queried service.
  affMap | The map of node's affiliation.
  error | Affiliation list retrieval Error.

See also
  Manager::getAffiliations

## handleDefaultNodeConfig()

virtual void handleDefaultNodeConfig | ( | const std::string & | id,
|  | const JID & | service,
|  | const DataForm * | config,
|  | const Error * | error = 0 )

pure virtual

Receives the default configuration for a specific node type.

Parameters

  id | The reply IQ's id.
  service | The queried service.
  config | Configuration form for the node type.
  error | Default node config retrieval Error.

See also
  Manager::getDefaultNodeConfig

## handleItem()

virtual void handleItem | ( | const JID & | service,
|  | const std::string & | node,
|  | const Tag * | entry )

pure virtual

Receives the payload for an item.

Parameters

  service | Service hosting the queried node.
  node | ID of the parent node.
  entry | The complete item Tag (do not delete).

## handleItemDeletion()

virtual void handleItemDeletion | ( | const std::string & | id,
|  | const JID & | service,
|  | const std::string & | node,
|  | const ItemList & | itemList,
|  | const Error * | error = 0 )

pure virtual

Receives the result of an item removal.

Parameters

  id | The reply IQ's id.
  service | Service hosting the queried node.
  node | ID of the queried node. If empty, the root node has been queried.
  itemList | List of contained items.
  error | Describes the error case if the request failed.

See also
  Manager::deleteItem

## handleItemPublication()

virtual void handleItemPublication | ( | const std::string & | id,
|  | const JID & | service,
|  | const std::string & | node,
|  | const ItemList & | itemList,
|  | const Error * | error = 0 )

pure virtual

Receives the result for an item publication.

Parameters

  id | The reply IQ's id.
  service | Service hosting the queried node.
  node | ID of the queried node. If empty, the root node has been queried.
  itemList | List of contained items.
  error | Describes the error case if the request failed.

See also
  Manager::publishItem

## handleItems()

virtual void handleItems | ( | const std::string & | id,
|  | const JID & | service,
|  | const std::string & | node,
|  | const ItemList & | itemList,
|  | const Error * | error = 0 )

pure virtual

Receives the list of Items for a node.

Parameters

  id | The reply IQ's id.
  service | Service hosting the queried node.
  node | ID of the queried node (empty for the root node).
  itemList | List of contained items.
  error | Describes the error case if the request failed.

See also
  Manager::requestItems()

## handleNodeConfig()

virtual void handleNodeConfig | ( | const std::string & | id,
|  | const JID & | service,
|  | const std::string & | node,
|  | const DataForm * | config,
|  | const Error * | error = 0 )

pure virtual

Receives the configuration for a specific node.

Parameters

  id | The reply IQ's id.
  service | Service hosting the node.
  node | ID of the node.
  config | Configuration DataForm.
  error | Configuration retrieval Error.

See also
  Manager::getNodeConfig

## handleNodeConfigResult()

virtual void handleNodeConfigResult | ( | const std::string & | id,
|  | const JID & | service,
|  | const std::string & | node,
|  | const Error * | error = 0 )

pure virtual

Receives the result of a node's configuration modification.

Parameters

  id | The reply IQ's id.
  service | Service hosting the node.
  node | ID of the node.
  error | Configuration modification Error.

See also
  Manager::setNodeConfig

## handleNodeCreation()

virtual void handleNodeCreation | ( | const std::string & | id,
|  | const JID & | service,
|  | const std::string & | node,
|  | const Error * | error = 0 )

pure virtual

Receives the result of a node creation.

Parameters

  id | The reply IQ's id.
  service | Service hosting the node.
  node | ID of the node.
  error | Node creation Error.

See also
  Manager::setNodeConfig

## handleNodeDeletion()

virtual void handleNodeDeletion | ( | const std::string & | id,
|  | const JID & | service,
|  | const std::string & | node,
|  | const Error * | error = 0 )

pure virtual

Receives the result for a node removal.

Parameters

  id | The reply IQ's id.
  service | Service hosting the node.
  node | ID of the node.
  error | Node removal Error.

See also
  Manager::deleteNode

## handleNodePurge()

virtual void handleNodePurge | ( | const std::string & | id,
|  | const JID & | service,
|  | const std::string & | node,
|  | const Error * | error = 0 )

pure virtual

Receives the result of a node purge request.

Parameters

  id | The reply IQ's id.
  service | Service hosting the node.
  node | ID of the node.
  error | Node purge Error.

See also
  Manager::purgeNode

## handleSubscribers()

virtual void handleSubscribers | ( | const std::string & | id,
|  | const JID & | service,
|  | const std::string & | node,
|  | const SubscriptionList & | list,
|  | const Error * | error = 0 )

pure virtual

Receives the list of subscribers to a node.

Parameters

  id | The reply IQ's id.
  service | Service hosting the node.
  node | ID of the queried node.
  list | Subscriber list.
  error | Subscription options modification Error.

See also
  Manager::getSubscribers

## handleSubscribersResult()

virtual void handleSubscribersResult | ( | const std::string & | id,
|  | const JID & | service,
|  | const std::string & | node,
|  | const SubscriberList * | list,
|  | const Error * | error = 0 )

pure virtual

Receives the result of a subscriber list modification.

Parameters

  id | The reply IQ's id.
  service | Service hosting the node.
  node | ID of the queried node.
  list | Subscriber list.
  error | Subscriber list modification Error.

See also
  Manager::setSubscribers

## handleSubscriptionOptions()

virtual void handleSubscriptionOptions | ( | const std::string & | id,
|  | const JID & | service,
|  | const JID & | jid,
|  | const std::string & | node,
|  | const DataForm * | options,
|  | const std::string & | sid = EmptyString,
|  | const Error * | error = 0 )

pure virtual

Receives the subscription options for a node.

Parameters

  id | The reply IQ's id.
  service | Service hosting the queried node.
  jid | Subscribed entity.
  node | ID of the node.
  options | Options DataForm.
  sid | An optional subscription ID.
  error | Subscription options retrieval Error.

See also
  Manager::getSubscriptionOptions

## handleSubscriptionOptionsResult()

virtual void handleSubscriptionOptionsResult | ( | const std::string & | id,
|  | const JID & | service,
|  | const JID & | jid,
|  | const std::string & | node,
|  | const std::string & | sid = EmptyString,
|  | const Error * | error = 0 )

pure virtual

Receives the result for a subscription options modification.

Parameters

  id | The reply IQ's id.
  service | Service hosting the queried node.
  jid | Subscribed entity.
  node | ID of the queried node.
  sid | An optional subscription ID.
  error | Subscription options modification Error.

See also
  Manager::setSubscriptionOptions

## handleSubscriptionResult()

virtual void handleSubscriptionResult | ( | const std::string & | id,
|  | const JID & | service,
|  | const std::string & | node,
|  | const std::string & | sid,
|  | const JID & | jid,
|  | const SubscriptionType | subType,
|  | const Error * | error = 0 )

pure virtual

Receives the subscription results. In case a problem occured, the Subscription ID and SubscriptionType becomes irrelevant.

Parameters

  id | The reply IQ's id.
  service | PubSub service asked for subscription.
  node | Node asked for subscription.
  sid | Subscription ID.
  jid | Subscribed entity.
  subType | Type of the subscription.
  error | Subscription Error.

See also
  Manager::subscribe

## handleSubscriptions()

virtual void handleSubscriptions | ( | const std::string & | id,
|  | const JID & | service,
|  | const SubscriptionMap & | subMap,
|  | const Error * | error = 0 )

pure virtual

Receives the Subscription list for a specific service.

Parameters

  id | The reply IQ's id.
  service | The queried service.
  subMap | The map of node's subscription.
  error | Subscription list retrieval Error.

See also
  Manager::getSubscriptions

## handleUnsubscriptionResult()

virtual void handleUnsubscriptionResult | ( | const std::string & | id,
|  | const JID & | service,
|  | const Error * | error = 0 )

pure virtual

Receives the unsubscription results. In case a problem occured, the subscription ID becomes irrelevant.

Parameters

  id | The reply IQ's id.
  service | PubSub service.
  error | Unsubscription Error.

See also
  Manager::unsubscribe

The documentation for this class was generated from the following file:

- pubsubresulthandler.h